Subject: Quoted values in string DN

From: "Jim Sermersheim" <[email-masked]>
Date: Mon, 18 Oct 2004 10:52:03 -0600

I'm told that the VSLDAP test suite requires that v3 servers parse DN
values containing quoted values.
 
I know the string dn bis document removed Section 4 from RFC 2253.
Justification is given in
http://www.openldap.org/lists/ietf-ldapbis/200012/msg00065.html. I have
two questions:
 
1) can we summarize the justification, and add it to bullet #5 in
Appendix B of string DN?
2) why did we reserve the need to escape double quote characters (see
DQUOTE in escaped, in the ABNF)?
 
Thanks,
 
Jim
 
p.s. Chris, I'm not sure who should review this from the VSLDAP
perspective, can you forward it to the appropriate person?

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Mon, 18 Oct 2004 10:56:37 -0700

At 09:52 AM 10/18/2004, Jim Sermersheim wrote:
>I'm told that the VSLDAP test suite requires that v3 servers parse DN values containing quoted values.
> 
>I know the string dn bis document removed Section 4 from RFC 2253. Justification is given in <http://www.openldap.org/lists/ietf-ldapbis/200012/msg00065.html>http://www.openldap.org/lists/ietf-ldapbis/200012/msg00065.html. I have two questions:
> 
>1) can we summarize the justification, and add it to bullet #5 in Appendix B of string DN?

In response to a previous comment (from Hallvard?), I plan to
replace the bullet:
- Replaced specification of additional requirements for LDAPv2
  implementations which also support LDAPv3 (RFC 2253, Section 4)
  with a statement (in Section 3) allowing recognition of
  alternative string representations.

with the following two:
- Removed specification of additional requirements for LDAPv2
implementations which also support LDAPv3 (RFC 2253, Section 4)
as LDAPv2 is now Historic.
- Allow recognition of alternative string representations.

>2) why did we reserve the need to escape double quote characters (see DQUOTE in escaped, in the ABNF)?

For two reasons.  1) To allow recognition of alternative string representations in which DQUOTEs are special.  2) To allow
DQUOTEs (like <>s) to be used to quote whole DN strings (e.g., a
DN string can be written "cn=RL \"Bob\" Morgan,dc=example,dc=com"
without confusing the wrapping quotes as being part of the DN
string).

Kurt